<?
error_reporting(0);
require'../config.php';
$align='left';
$title='Объявление в комнаты';
head();
levels(5);
$action=htmlspecialchars(trim($_GET['action']));
switch ($action){
default:
echo "<form action='?action=res' method='post'><br/>
Объявление :<input type='text' maxlength='100' name='objava'><br/>
<input type='submit' value='Добавить новость'>
</form>";
break;
case 'res':


$objava = $_POST['objava'];
if(empty($_POST['objava'])){ echo 'Заполните все поля!<br/><hr>
<a href="/admin/">Админка</a><br/>
'; } else {

$nick = "<b>[Объявление]</b>";
$mess = "[red]".$objava."[/red]. [green]С уважением[/green] [b]".$user['user']."[/b].";
$s_post=$db->sql_fetchfield($db->sql_query("select COUNT(*) from rooms WHERE `system` != '0';"),0);
$k_page=k_page($s_post,$s_post);
$page=page($k_page);
$s1=$s_post*$page-$s_post;
$num = @$db->sql_query("SELECT * from rooms WHERE `system` != '0' order by rm DESC limit $s1, $s_post;" );
while($nums = @$db->sql_fetchrow($num)){
$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm) VALUES ('$nick','0','$time','$mess','$nums[rm]')");
}

echo 'Успешно Выполнено<br/><hr>
<a href="/admin/">Админка</a><br/>';
}
break;}
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
?>
